Subject: Gritz Apologists

From: [email-masked] (Richard Hatch)
Date: 10 Dec 1992 03:36:44 GMT

I find it interesting that those who attack people like Chip
Berlet often make very vague, negative assertions about the
evidence. For example, they claim to have searched far and wide
for evidence, but don't say where. I have yet to see anyone
actually prove specific factual claims by Berlet or the PART
report to be false. It seems to be rather unfair to characterize
a source as "lying" or spreading disinformation without concrete
evidence that is indepentently verifiable by others.
I would like to point out that the nominations of David Duke and 
James "Bo" Gritz as Presidential and Vice Presidential candidates
of the Populist Party were reported in the March 28, 1988 issue
of Spotlight newspaper. The articles on page 4 and 5 show a photo
of David Duke and Gritz side-by-side, firmly clasping hands after
their nominations. Gritz is quoted as saying "There is nothing in 
the Populist Party platform I don't agree with." Is there anyone
who can provide evidence (independently verifiable) that these
articles are inaccurate? 
Also, Gritz's own book mentions his connection to Identity
Christian preacher Pete Peters. More about Peters can be found in
the book The Silent Brotherhood: Inside America's Racist
Underground by Kevin Flynn and Gary Gerhardt (Free Press, 1989).